
User Interface - Bug #2750

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

status area height should not be added to the overall window height

10/09/2015 11:45 AM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/09/2015 11:46 AM - Greg Shah

See #2748-1

Use demo/demo_widgets.p to recreate.  The main content pane in Progress is shorter by the size of the status area.

#2 - 10/12/2015 04:50 PM - Greg Shah

- Assignee set to Eugenie Lyzenko

#3 - 10/13/2015 11:14 AM - Eugenie Lyzenko

- File message_area_height_diff.jpg added

In the recent 1811s code the issue looks differently. The only remaining problem is the message area height in P2J 2 pixels smaller than in 4GL as

you can see in the attached picture. Can easily be fixed in MessageAreaGuiImpl.

#4 - 10/13/2015 11:15 AM - Greg Shah

Constantin: could this 2 pixel difference be due to a font sizing issue?

#5 - 10/13/2015 11:19 AM - Constantin Asofiei

Greg Shah wrote:

Constantin: could this 2 pixel difference be due to a font sizing issue?

 

Yes, I think this should use FontManager.getFontHeight, and not gf.font().fontHeight in MessageAreaGuiImpl.doLayout

Also, Eugenie, please check if the selected row in the MESSAGE-AREA looks the same in P2J as in 4GL.
#6 - 10/13/2015 12:17 PM - Eugenie Lyzenko

- File message_area_selection_4gl.jpg added

- File message_area_selection_p2j_20151013.jpg added

Yes, I think this should use FontManager.getFontHeight, and not gf.font().fontHeight in MessageAreaGuiImpl.doLayout

 

The both cases produce same wrong results. Need to just increase extra pixels value(as on the attached pictures).

Also, Eugenie, please check if the selected row in the MESSAGE-AREA looks the same in P2J as in 4GL.

 

No, the selected row looks differently. The pictures show the 4GL use the same color for background as for active window/frame title. In P2J the color

is lighter. Also in P2J there is a vertical line on the left that is not covered by selection background.

#7 - 10/13/2015 01:30 PM - Eugenie Lyzenko

- File message_area_selection_fix_p2j_20151013.jpg added

The fix 1811s rev 10957 for message area includes:

1. Selected item background color and fill area location/size.

2. Item text X position.

For comparison the 4GL and P2J pictures attached.

#8 - 10/13/2015 03:27 PM - Greg Shah

These changes look good.  Before we close this task, please look into the differences in how we draw the scrollbar buttons for the message area,

versus the 4GL.

#9 - 10/13/2015 04:51 PM - Eugenie Lyzenko

Greg Shah wrote:

These changes look good.  Before we close this task, please look into the differences in how we draw the scrollbar buttons for the message

area, versus the 4GL.

 

Do you mean the scaled images from SVG sources size/position?
#10 - 10/13/2015 04:53 PM - Greg Shah

Do you mean the scaled images from SVG sources size/position?

 

Yes.

#11 - 10/14/2015 11:20 AM - Eugenie Lyzenko

- File message_area_selection_p2j_20151014.jpg added

Fix for message are buttons has been committed. The final screen sample is attached.

#12 - 10/14/2015 11:52 AM - Greg Shah

- Status changed from New to Closed

Task branch 1811s revision 10963 fixes the last part of this issue.

#13 - 11/10/2015 05:05 AM - Greg Shah

- % Done changed from 0 to 100

#14 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
